<div
  class="w-100 text-white font-bold pb-12 -mb-12"
  style="
    background: transparent url(/assets/images/art_welcome.webp) no-repeat left
      bottom;
    background-size: cover;
  "
>
  <form [formGroup]="signupForm">
    <div *ngIf="referralUser" class="lg:w-[575px] lg:ml-auto lg:mr-6 pt-4">
      <div class="text-black text-2xl text-center">
        <app-army-name [user]="referralUser"></app-army-name> recrute !
      </div>
    </div>

    <div class="lg:w-[575px] lg:ml-auto lg:mr-6 mb-7">
      <!-- CONNEXION ETERNALTWIN -->
      <div class="py-5 text-black">
        <div
          *ngIf="!authService.user"
          class="mx-auto w-fit cursor-pointer"
          (click)="loginClicked()"
        >
          ➡️ [se connecter avec EternalTwin] ⬅️
        </div>
        <div *ngIf="authService.user" class="mx-auto w-fit">
          [connecté avec EternalTwin ✅]
        </div>
      </div>

      <app-container-blue>
        <div class="text-center lg:text-left lg:ml-5">
          Create your own army !
        </div>
        <div class="mt-2 flex items-baseline justify-center">
          <label for="army" class="block mr-4">Amée </label>

          <select
            name="prefix"
            id="prefix"
            formControlName="prefix"
            class="text-black font-normal p-1 rounded border border-[#7c8999] bg-gray-50 mr-1 h-[33px] disabled:text-[#9ca3af]"
          >
            <option *ngFor="let prefix of prefixes" [value]="prefix.value">
              {{ prefix.label }}
            </option>
          </select>

          <input
            name="army"
            formControlName="army"
            placeholder="remplir nom d'armée"
            maxlength="22"
            id="army"
            class="bg-gray-50 disabled:bg-[#dee4ed] text-black font-normal p-1 rounded border border-[#7c8999]"
          />
        </div>
        <p
          *ngIf="
            army?.invalid &&
              army?.errors?.['pattern'];
          "
          class="mt-1 text-center text-red-600 dark:text-red-500"
        >
          No special characters or numbers allowed
        </p>
        <p
          *ngIf="
          army?.invalid &&
            army?.errors?.['minlength'];
        "
          class="mt-1 text-center text-red-600 dark:text-red-500"
        >
          Army name min length : 4 characters
        </p>

        <ng-container *ngIf="army && army.dirty && army.valid">
          <p
            *ngIf="availabilityState == 'error'"
            class="text-center text-red-600 dark:text-red-500"
          >
            Army name fobidden/unavailable, try another
          </p>
          <div
            *ngIf="createdUrl && army?.valid && army?.dirty"
            class="items-baseline justify-center mt-1 flex"
          >
            <div
              class="w-3 h-3 mr-2 rounded-full border-2 border-black"
              [style.background-color]="AvailabilyStateColor[availabilityState]"
            ></div>
            {{ createdUrl }}
          </div></ng-container
        >
      </app-container-blue>
    </div>
    <div class="lg:w-[575px] lg:ml-auto lg:mr-6">
      <app-container-blue-large>
        <div class="flex items-center flex-wrap lg:flex-nowrap">
          <div class="lg:ml-5 mb-4 lg:mb-0 mx-auto lg:mr-0">
            Choose your first trooper !
          </div>
          <ul
            class="ml-auto flex items-center justify-center flex-wrap gap-4 mr-auto lg:mr-[13px]"
            [style.opacity]="signupForm.disabled ? '0.5' : '1'"
          >
            <li
              *ngFor="let color of availableColors; let index = index"
              class="flex-none"
            >
              <label class="block relative w-6 h-6">
                <input
                  type="radio"
                  name="color"
                  class="sr-only peer"
                  formControlName="color"
                  [value]="index"
                  [checked]="selectedIndexColor == index"
                />
                <span
                  class="inline-flex justify-center items-center w-full h-full rounded-full peer-checked:ring ring-offset-2 duration-150"
                  [style]="'--tw-ring-color:' + color"
                  [style.cursor]="authService.user ? 'pointer' : 'initial'"
                  [style.backgroundColor]="color"
                ></span>
                <svg
                  xmlns="http://www.w3.org/2000/svg"
                  fill="none"
                  viewBox="0 0 24 24"
                  stroke-width="1.5"
                  stroke="currentColor"
                  class="w-5 h-5 text-white absolute inset-0 m-auto z-0 pointer-events-none hidden peer-checked:block duration-150"
                >
                  <path
                    stroke-linecap="round"
                    stroke-linejoin="round"
                    d="M4.5 12.75l6 6 9-13.5"
                  />
                </svg>
              </label>
            </li>
          </ul>
        </div>

        <div
          class="mx-3 mt-5"
          [style.pointerEvents]="authService.user ? 'initial' : 'none'"
        >
          <app-choose-trooper
            [troopers]="displayedTroopers"
            [formGroup]="signupForm"
          ></app-choose-trooper>
        </div>
      </app-container-blue-large>

      <div class="relative">
        <div
          class="cursor-pointer m-auto w-fit"
          [class.disabled]="
            !trooper?.value ||
            !army ||
            !army.value ||
            army.invalid ||
            availabilityState != 'available' ||
            lockSubmit
          "
        >
          <img
            src="/assets/images/buttons/button4.webp"
            class="mt-2 text-center cursor-pointer"
          />
          <div
            class="absolute top-1/2 left-1/2 -translate-x-1/2 -translate-y-1/2 -mt-[3px]"
            (click)="createArmy()"
          >
            Confirm
          </div>
        </div>
      </div>
    </div>
  </form>
</div>
